"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-311/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000023066799BC0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000023066799D00>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023066799C60>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023066799DA0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000023066799E40>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000023066799EE0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000023066799F80>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679A020>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679A0C0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679A160>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679A200>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679A2A0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679A340>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679A3E0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679A480>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679A520>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679A5C0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679A660>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679A700>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679A7A0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679A840>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679A8E0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679A980>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679AA20>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679AAC0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679AB60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679AC00>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679ACA0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679AD40>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679ADE0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679AE80>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679AF20>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679AFC0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679B060>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679B100>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679B1A0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679B240>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679B2E0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679B380>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679B420>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679B4C0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679B560>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679B600>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679B6A0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679B740>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679B7E0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679B880>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679B920>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679B9C0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679BA60>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679BB00>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679BBA0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679BC40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679BCE0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679BD80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679BE20>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679BEC0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000002306679BF60>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4040>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D40E0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4180>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4220>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D42C0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4360>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4400>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D44A0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4540>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D45E0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4680>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4720>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D47C0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4860>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4900>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D49A0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4A40>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4AE0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4B80>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4C20>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4CC0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4E00>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4D60>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4EA0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4F40>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D4FE0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x00000230667D5080>)]
name: str = 'fr_HOCCN'
